/********************************************************************************
* FXNetworkDialogEx.h                                                           *
* Copyright (C) 2001 by Dustin Graves. All Rights Reserved.                     *
*********************************************************************************
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Lesser General Public                    *
* License as published by the Free Software Foundation; either                  *
* version 2.1 of the License, or (at your option) any later version.            *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             *
* Lesser General Public License for more details.                               *
*                                                                               *
* You should have received a copy of the GNU Lesser General Public              *
* License along with this library; if not, write to the Free Software           *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.    *
********************************************************************************/
#ifndef _FXNETWORKDIALOGEX_H
#define _FXNETWORKDIALOGEX_H

#ifndef WIN32
#error "Sorry, FXNetworkDialogEx is only supported on WIN32 platforms"
#endif

class FXNetworkSelectorEx;

class FXAPI FXNetworkDialogEx : public FXDialogBox
{
  FXDECLARE(FXNetworkDialogEx)
protected:
  FXNetworkSelectorEx *netbox;          // Network selection widget
protected:
  FXNetworkDialogEx(){}
private:
  FXNetworkDialogEx(const FXNetworkDialogEx&);
  FXNetworkDialogEx &operator=(const FXNetworkDialogEx&);
public:
  
  FXNetworkDialogEx(FXWindow* owner,const FXString& name,FXuint opts=0,FXint x=0,FXint y=0,FXint w=300,FXint h=300);

  //When called, will relist net neighborhood.  A wait cursor is optional.
  FXbool refreshNetworkList(FXbool waitCursor=FALSE);

  //When called, option to relist net neighborhood.  A wait cursor is optional.
  void showNetworkShares(FXbool show,FXbool refresh=FALSE,FXbool waitCursor=FALSE);
  FXbool showNetworkShares() const;

  void setSelection(const FXString& name);
  FXString getSelection() const;

  FXString getNetworkName(const FXString& name) const;
  FXString getSelectionNetworkName() const;

  void setNetBoxStyle(FXuint style);
  FXuint getNetBoxStyle() const;

  virtual void save(FXStream& store) const;
  virtual void load(FXStream& store);

  virtual ~FXNetworkDialogEx();

  //Specialized shows for loading net data
  void show(FXbool loadnet=FALSE);
  void show(FXuint placement,FXbool loadnet=FALSE);
  FXuint execute(FXuint placement=PLACEMENT_CURSOR,FXbool loadnet=FALSE);
};

#endif
